
QGIS Application - Bug report #14028

CurvePolygons not drawn

2015-12-22 09:56 PM - zicke -

Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22041

Description

CurvePolygons from PostGIS are not drawn in the mapcanvas if they do not contain a curve/arc.

Associated revisions

Revision c38ee41f - 2016-01-21 11:44 AM - Nyall Dawson

Fix rendering of CurvePolygons without curved segments (fix #14028)

History

#1 - 2015-12-23 01:15 AM - Giovanni Manghi

- Status changed from Open to Feedback

why blocker, is a regression?

#2 - 2015-12-23 07:23 AM - zicke -

Yes. Worked before. But don't know which commit breaks it.

#3 - 2015-12-26 03:50 AM - zicke -

commit:6a7f786 is already broken.

#4 - 2015-12-27 12:57 AM - zicke -

QGIS 2.12.2 works.

#5 - 2015-12-29 02:59 AM - Nyall Dawson

- Status changed from Feedback to Open

#6 - 2015-12-29 03:21 PM - Nyall Dawson

- Assignee set to Nyall Dawson

#7 - 2016-01-21 02:45 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"c38ee41f5bfe0af5f1bd5d50ec03e5723986ee49".
